#include <bits/stdc++.h>
using namespace std;
int ucitaj()
{
	int rez=0;
	char ch;
	while(true)
	{
		ch=getchar();
		if (ch<'0' or ch>'9') break;
		rez=rez*10+(ch-'0');
	}
	return rez;
}
int main()
{
	int n;
	n=ucitaj();
	switch (n)
	{
		case 1:
			printf("3\n");
			printf("0 0\n");
			printf("1 0\n");
			printf("2 0\n");
			break;
		case 2:
			printf("5\n");
			printf("0 0\n");
			printf("1 0\n");
			printf("2 0\n");
			printf("0 1\n");
			printf("0 2\n");
			break;
		case 3:
			printf("7\n");
			printf("0 0\n");
			printf("1 1\n");
			printf("2 2\n");
			printf("2 3\n");
			printf("2 4\n");
			printf("3 2\n");
			printf("4 2\n");
			break;
		case 4:
			printf("4\n");
			printf("0 0\n");
			printf("0 1\n");
			printf("0 2\n");
			printf("0 3\n");
			break;
		case 5:
			printf("6\n");
			printf("0 0\n");
			printf("0 1\n");
			printf("0 2\n");
			printf("0 3\n");
			printf("1 3\n");
			printf("2 3\n");
			break;
		case 6:
			printf("8\n");
			printf("2 0\n");
			printf("2 1\n");
			printf("2 2\n");
			printf("2 3\n");
			printf("3 3\n");
			printf("4 3\n");
			printf("1 4\n");
			printf("0 5\n");
			break;
		case 7:
			printf("8\n");
			printf("0 0\n");
			printf("0 1\n");
			printf("0 2\n");
			printf("0 3\n");
			printf("1 2\n");
			printf("2 2\n");
			printf("1 3\n");
			printf("2 3\n");
			break;
		case 8:
			printf("9\n");
			printf("0 0\n");
			printf("0 1\n");
			printf("0 2\n");
			printf("1 0\n");
			printf("1 1\n");
			printf("1 2\n");
			printf("2 0\n");
			printf("2 1\n");
			printf("2 2\n");
			break;
		case 9:
			printf("9\n");
			printf("0 0\n");
			printf("1 1\n");
			printf("2 2\n");
			printf("2 3\n");
			printf("2 4\n");
			printf("2 5\n");
			printf("3 2\n");
			printf("4 2\n");
			printf("5 2\n");
			break;
		case 10:
			printf("5\n");
			printf("0 0\n");
			printf("0 1\n");
			printf("0 2\n");
			printf("0 3\n");
			printf("0 4\n");
			break;
	}
}